Summary: The game 5-in-a-row 
Name: xmake5
Version: 1.1
Release: 2
Source: ftp://ftp.tu-cottbus.de/pub/unix/hpux/LSA/hpux/Games/Board/xmake5-1.1/%{name}-%{version}-ss-9.01.tar.gz
Source1: xmake5.desktop
Copyright: GPL
Group: Amusements/Games
Patch: xmake5-config.patch
Patch1: xmake5-cmake.patch
Patch2: xmake5-broken.patch
BuildRoot: %{_tmppath}/%{name}-root

%description
Make5 is a game similar to Tic-Tac-Toe. It is called
Wu3-Zi3-Qi2 in Chinese and is very popular in the Far
East. 5-in-a-row and Go-Moku are the other names for this
game.

%prep
%setup -q
%patch -p1 -b .config
%patch1 -p1 -b .cmake
%patch2 -p1 -b .broken

%build
make 

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/Games
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/etc/X11/applnk/Games/

make install DESTDIR=$RPM_BUILD_ROOT mandir=%{_mandir}
 
%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%doc COPYRIGHT README
%config /etc/X11/applnk/Games/xmake5.desktop
%attr (0664,root,games) %config(noreplace) /var/lib/games/Make5.Score
%attr (2755,root,games) /usr/X11R6/bin/xmake5
%attr (2755,root,games) /usr/games/cmake5
/usr/X11R6/man/man6/*
%{_mandir}/man6/*

%changelog
* Fri Dec 1 2000 Than Ngo <than@redhat.com>
- rebuild with Xaw3d

* Tue Nov 28 2000 Than Ngo <than@redhat.com>
- first initial build for powertools-7.1
